Skip to main content
GET
/
external-task
/
count
Get List Count
curl --request GET \
  --url http://{host}:{port}/{contextPath}/external-task/count \
  --header 'Authorization: Basic <encoded-value>'
{
  "count": 42
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

externalTaskId
string

Filter by an external task's id.

externalTaskIdIn
string

Filter by the comma-separated list of external task ids.

topicName
string

Filter by an external task topic.

workerId
string

Filter by the id of the worker that the task was most recently locked by.

locked
boolean

Only include external tasks that are currently locked (i.e., they have a lock time and it has not expired). Value may only be true, as false matches any external task.

notLocked
boolean

Only include external tasks that are currently not locked (i.e., they have no lock or it has expired). Value may only be true, as false matches any external task.

withRetriesLeft
boolean

Only include external tasks that have a positive (> 0) number of retries (or null). Value may only be true, as false matches any external task.

noRetriesLeft
boolean

Only include external tasks that have 0 retries. Value may only be true, as false matches any external task.

lockExpirationAfter
string<date-time>

Restrict to external tasks that have a lock that expires after a given date. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2013-01-23T14:42:45.000+0200.

lockExpirationBefore
string<date-time>

Restrict to external tasks that have a lock that expires before a given date. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2013-01-23T14:42:45.000+0200.

activityId
string

Filter by the id of the activity that an external task is created for.

activityIdIn
string

Filter by the comma-separated list of ids of the activities that an external task is created for.

executionId
string

Filter by the id of the execution that an external task belongs to.

processInstanceId
string

Filter by the id of the process instance that an external task belongs to.

processInstanceIdIn
string

Filter by a comma-separated list of process instance ids that an external task may belong to.

processDefinitionId
string

Filter by the id of the process definition that an external task belongs to.

tenantIdIn
string

Filter by a comma-separated list of tenant ids. An external task must have one of the given tenant ids.

active
boolean

Only include active tasks. Value may only be true, as false matches any external task.

suspended
boolean

Only include suspended tasks. Value may only be true, as false matches any external task.

priorityHigherThanOrEquals
integer<int64>

Only include jobs with a priority higher than or equal to the given value. Value must be a valid long value.

priorityLowerThanOrEquals
integer<int64>

Only include jobs with a priority lower than or equal to the given value. Value must be a valid long value.

processDefinitionKey
string

Restrict to tasks that belong to a process definition with the given key.

processDefinitionKeyIn
string

Restrict to tasks that belong to a process definition with one of the given keys. The keys need to be in a comma-separated list.

processDefinitionName
string

Restrict to tasks that belong to a process definition with the given name.

processDefinitionNameLike
string

Restrict to tasks that have a process definition name that has the parameter value as a substring.

variableNamesIgnoreCase
boolean
default:false

Match all variable names in this query case-insensitively. If set variableName and variablename are treated as equal.

variableValuesIgnoreCase
boolean
default:false

Match all variable values in this query case-insensitively. If set variableValue and variablevalue are treated as equal.

processVariables
string

Only include tasks that belong to process instances that have variables with certain values. Variable filtering expressions are comma-separated and are structured as follows:

A valid parameter value has the form key_operator_value. key is the variable name, operator is the comparison operator to be used and value the variable value.

Note: Values are always treated as String objects on server side.

Valid operator values are: eq - equal to; neq - not equal to; gt - greater than; gteq - greater than or equal to; lt - lower than; lteq - lower than or equal to; like; notLike. key and value may not contain underscore or comma characters.

Response

Request successful.

count
integer<int64>

The number of matching instances.